[email protected], [email protected] component

All error messages should be fixed including both I/O errors. Let me know if there are any problems left. Update from HACS from this source : https://github.com/HomeAssistant-Mods/home-assistant-miele

1 Like

good morning, thanks for fixing most messages, I still got one just now:

Log Details (ERROR)
Logger: homeassistant.setup
Source: custom_components/miele/init.py:124
First occurred: 9:00:19 (1 occurrences)
Last logged: 9:00:19

Error during setup of component miele
Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/setup.py”, line 171, in _async_setup_component
hass, processed_config
File “/config/custom_components/miele/init.py”, line 124, in async_setup
client = MieleClient(hass.data[DOMAIN][DATA_OAUTH])
TypeError: init() missing 1 required positional argument: ‘session’

Same error here.
I deleted the token and authorized again but the error remaibd.

Same here (repeated authorization):

__init__() missing 1 required positional argument: 'session'
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/websocket_api/commands.py", line 130, in handle_call_service
    connection.context(msg),
  File "/usr/src/homeassistant/homeassistant/core.py", line 1253, in async_call
    task.result()
  File "/usr/src/homeassistant/homeassistant/core.py", line 1288, in _execute_service
    await handler.func(service_call)
  File "/usr/src/homeassistant/homeassistant/components/configurator/__init__.py", line 235, in async_handle_service_call
    await self.hass.async_add_job(callback, call.data.get(ATTR_FIELDS, {}))
  File "/config/custom_components/miele/__init__.py", line 75, in miele_configuration_callback
    await async_setup(hass, config)
  File "/config/custom_components/miele/__init__.py", line 124, in async_setup
    client = MieleClient(hass.data[DOMAIN][DATA_OAUTH])
TypeError: __init__() missing 1 required positional argument: 'session'

Sorry guys. My local testing and github branche seem to have gotten out of sync… And I forgot to restart my HA after updating the plugin from HACS… Issue should be fixed now :)! @martinweu also did a PR with the solution. Please report back when you find any more issues

1 Like

No more messages. Thanks!

1 Like

That’s good to hear :)!

Thank you. It’s running perfect now.

Thank you for the adjustments and the I / O error has been fixed. However, I am now stuck on a new bug and cannot get any further. I would be very grateful to you for a hint:

Logger: homeassistant.setup
Source: custom_components/miele/miele_at_home.py:46
First occurred: 21:54:53 (1 occurrences)
Last logged: 21:54:53

Error during setup of component miele
Traceback (most recent call last):
File “/usr/src/homeassistant/homeassistant/setup.py”, line 171, in _async_setup_component
hass, processed_config
File “/config/custom_components/miele/init.py”, line 126, in async_setup
data_get_devices = await client.get_devices(lang)
File “/config/custom_components/miele/miele_at_home.py”, line 46, in get_devices
for home_device in home_devices:
TypeError: ‘coroutine’ object is not iterable

This seems to be a bug on my side… I must have missed an await somewhere :confused: Will take a look tonight.

For future problems. Please just open an issue here since the original developer seens to not be working on this anymore : https://github.com/HomeAssistant-Mods/home-assistant-miele/issues please post the version you are running and the errors.

@Edus please let me know which version you are running. As far as I can see this isn’t possible to happen in the latest version. Please also try to reboot your hass after the update.

@kloknibor Thank you for your support. I tested the integration again in a new installation and it runs perfectly. My next attempt is to restore my configuration to an earlier state and I assume it will work.
Thanks again for your efforts!

1 Like

Hi I am getting the following warning with the request to report this to the author of the component:

Log Details (WARNING)

Logger: homeassistant.components.http
Source: components/http/init.py:180
Integration: HTTP (documentation, issues)
First occurred: 15:59:40 (1 occurrences)
Last logged: 15:59:40

Detected use of deprecated base_url property, use homeassistant.helpers.network.get_url method instead. Please report issue to the custom component author for miele using this method at custom_components/miele/init.py, line 107: callback_url = ‘{}{}’.format(hass.config.api.base_url, AUTH_CALLBACK_PATH)

I already reported this as requested by @kloknibor at github

I pushed an update. Please try it and let me know :slight_smile:

2 Likes

the message is gone, you are a star!

This installation step pip3 install requests_oauthlib…
Do we have to do that each time you upgrade HA? It is done inside a container so does it survive upgrades?

based on the way your system is set-up this could be the case. If your running everything in a container it might indeed get destroyed and you need to reinstall. I can see if I can get Home assistant to install the dependency in the future later on :)!

Hi all!

My component stopped working after HA update. Am I alone?

Logger: homeassistant.setup
Source: custom_components/miele/miele_at_home.py:24 
First occurred: 12:46:27 (1 occurrences) 
Last logged: 12:46:27

Error during setup of component miele
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/requests_oauthlib/oauth2_session.py", line 477, in request
    url, headers, data = self._client.add_token(
  File "/usr/local/lib/python3.8/site-packages/oauthlib/oauth2/rfc6749/clients/base.py", line 198, in add_token
    raise TokenExpiredError()
oauthlib.oauth2.rfc6749.errors.TokenExpiredError: (token_expired) 

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 191, in _async_setup_component
    result = await task
  File "/config/custom_components/miele/__init__.py", line 127, in async_setup
    data_get_devices = await client.get_devices(lang)
  File "/config/custom_components/miele/miele_at_home.py", line 41, in get_devices
    home_devices = await self._get_devices_raw(lang)
  File "/config/custom_components/miele/miele_at_home.py", line 24, in _get_devices_raw
    devices = await self.hass.async_add_executor_job(func)
  File "/usr/local/lib/python3.8/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.8/site-packages/requests/sessions.py", line 543, in get
    return self.request('GET', url, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/requests_oauthlib/oauth2_session.py", line 496, in request
    token = self.refresh_token(
  File "/usr/local/lib/python3.8/site-packages/requests_oauthlib/oauth2_session.py", line 446, in refresh_token
    self.token = self._client.parse_request_body_response(r.text, scope=self.scope)
  File "/usr/local/lib/python3.8/site-packages/oauthlib/oauth2/rfc6749/clients/base.py", line 421, in parse_request_body_response
    self.token = parse_token_response(body, scope=scope)
  File "/usr/local/lib/python3.8/site-packages/oauthlib/oauth2/rfc6749/parameters.py", line 431, in parse_token_response
    validate_token_parameters(params)
  File "/usr/local/lib/python3.8/site-packages/oauthlib/oauth2/rfc6749/parameters.py", line 441, in validate_token_parameters
    raise MissingTokenError(description="Missing access token parameter.")
oauthlib.oauth2.rfc6749.errors.MissingTokenError: (missing_token) Missing access token parameter.